#include <iostream>
using namespace std;
int main(){
    int n,a[1000];
    cin>>n;
    int p=n,br=0;
    while(n!=0){
        n=n/10;
        br++;
    }
    n=p;
    for(int i=0;i<br;i++){
        a[br-1-i]=n%10;
        n=n/10;
    }
    n=p;
    int z=0;
    for(int i=0;i<br-1;i++){
        for(int j=i+1;j<br;j++){
            if(a[i]==a[j]){
                for(int k=i;k<=j;k++){
                    if(a[k]!=a[j]){
                        a[k]=a[j];
                        z++;
                    }
                }
            }
        }
    }
    cout<<z;

 return 0;
}